Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Class ISO_8859_1Decoder

    java.lang.Object
      org.apache.batik.util.io.AbstractCharDecoder
          org.apache.batik.util.io.ISO_8859_1Decoder

All Implemented Interfaces:
  CharDecoder

public class ISO_8859_1Decoder
extends AbstractCharDecoder

This class represents an object which decodes ISO-8859-1 characters from a stream of bytes.

Field Summary

Fields inherited from class org.apache.batik.util.io.AbstractCharDecoder
`buffer, BUFFER_SIZE, count, inputStream, position`

Fields inherited from interface org.apache.batik.util.io.CharDecoder
`END_OF_STREAM`

Constructor Summary
`ISO_8859_1Decoder(java.io.InputStream is)` Creates a new ISO_8859_1Decoder.

Method Summary
`int` | `readChar()` Reads the next character.

Methods inherited from class org.apache.batik.util.io.AbstractCharDecoder
`charError, dispose, endOfStreamError, fillBuffer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO_8859_1Decoder

    public ISO_8859_1Decoder(java.io.InputStream is)

  Creates a new ISO_8859_1Decoder.

Method Detail

### readChar

    public int readChar()
                 throws java.io.IOException

  Reads the next character.

  Returns:
    a character or END_OF_STREAM.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.